Debian Bug report logs - #691820
ITA: evolvotron -- Generator of textures through interactive evolution

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Gürkan Sengün <gurkan@phys.ethz.ch>

Date: Tue, 30 Oct 2012 07:51:01 UTC

Owned by: Axel Beckert <abe@debian.org>

Severity: normal

Fixed in version evolvotron/0.6.2-1

Done: Axel Beckert <abe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#691820; Package wnpp. (Tue, 30 Oct 2012 07:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 30 Oct 2012 07:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@phys.ethz.ch>
To: submit@bugs.debian.org
Subject: O: evolvotron -- Generator of textures through interactive evolution
Date: Tue, 30 Oct 2012 08:48:11 +0100
Package: wnpp
Severity: normal

I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you are *sure* you will have enough time and attention to
work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.



Changed Bug title to 'ITA: evolvotron -- Generator of textures through interactive evolution' from 'O: evolvotron -- Generator of textures through interactive evolution' Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Fri, 23 Nov 2012 17:30:03 GMT) Full text and rfc822 format available.

Owner recorded as Axel Beckert <abe@debian.org>. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Fri, 23 Nov 2012 17:30:04 GMT) Full text and rfc822 format available.

Reply sent to Axel Beckert <abe@debian.org>:
You have taken responsibility. (Thu, 06 Dec 2012 22:33:10 GMT) Full text and rfc822 format available.

Notification sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug acknowledged by developer. (Thu, 06 Dec 2012 22:33:10 GMT) Full text and rfc822 format available.

Message #14 received at 691820-close@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 691820-close@bugs.debian.org
Subject: Bug#691820: fixed in evolvotron 0.6.2-1
Date: Thu, 06 Dec 2012 22:32:30 +0000
Source: evolvotron
Source-Version: 0.6.2-1

We believe that the bug you reported is fixed in the latest version of
evolvotron, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691820@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Axel Beckert <abe@debian.org> (supplier of updated evolvotron package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 06 Dec 2012 21:45:31 +0100
Source: evolvotron
Binary: evolvotron
Architecture: source amd64
Version: 0.6.2-1
Distribution: unstable
Urgency: low
Maintainer: Axel Beckert <abe@debian.org>
Changed-By: Axel Beckert <abe@debian.org>
Description: 
 evolvotron - Generator of textures through interactive evolution
Closes: 683010 691820
Changes: 
 evolvotron (0.6.2-1) unstable; urgency=low
 .
   * New upstream release
     + Add new build-dependency on libboost-program-options-dev
     + Drop patch fix-typo; fixed upstream
     + CHANGES renamed to NEWS: update debian/rules
   * Adopt the package (Closes: #691820)
   * Add Vcs-* headers
   * debian/rules cleanup:
     + Use dh_auto_clean
     + Use debian/clean instead of manual rm
     + Remove some blank lines
     + Replace target "config.status" (which doesn't get built by the
       non-autotools configure script) by "Makefile". This prevents
       multiple build runs and makes evolvotron building again on
       ia64. (Closes: #683010)
   * Support hardening build flags
     + Remove old DEB_BUILD_OPTIONS parsing
     + Patch configure to no more call qmake directly
     + Use dh_auto_configure and dh_auto_build
     + Pass CPPFLAGS in CXXFLAGS and CFLAGS as qmake seems to ignore CPPFLAGS
     + Rebuild binaries with proper build flags as qmake doesn't seem to
       pass all of them properly everywhere
     + Add build-dependency on dpkg-dev (>= 1.16.1~)
   * Add patch to fix some misspellings found by lintian.
   * Update years and package maintainers in debian/copyright
   * Apply wrap-and-sort
Checksums-Sha1: 
 acd67793aa09f81bab0fa5cbec3fb055bd4b6247 1345 evolvotron_0.6.2-1.dsc
 4cdddf49d5b47b87ac7ae1d15a55e20de7c408cc 160255 evolvotron_0.6.2.orig.tar.gz
 be3d385cd00acb6cddbc8daae1be20cf971b3336 4687 evolvotron_0.6.2-1.debian.tar.gz
 a913cbd61470d9ae9984c8680400d50502621b38 639118 evolvotron_0.6.2-1_amd64.deb
Checksums-Sha256: 
 1854b94a3083eb697b7e2ceef77c3762d3bc32d15bf5b55903265b9dfbcaa73e 1345 evolvotron_0.6.2-1.dsc
 9303726eb691dec92bd9fc0c144530c8facc7c71a8394e040e63896bbcfbe7d8 160255 evolvotron_0.6.2.orig.tar.gz
 0d148234de55a1cdf388dd2df1be1f5a8875e91571c2a0f0ccffb6e0775c5751 4687 evolvotron_0.6.2-1.debian.tar.gz
 4f33befc94785679e78234250429af3c32924012839320c1364e13f383e8d7fa 639118 evolvotron_0.6.2-1_amd64.deb
Files: 
 29c9466f9d88c9ce6b392cede76e49a1 1345 graphics optional evolvotron_0.6.2-1.dsc
 f1665deb8520f3de98c3ea473b13b234 160255 graphics optional evolvotron_0.6.2.orig.tar.gz
 e09b108dc27ad2e901ddcac875e51d25 4687 graphics optional evolvotron_0.6.2-1.debian.tar.gz
 b184361a9c65a4e821d6ed3d4c419777 639118 graphics optional evolvotron_0.6.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDBE+4ACgkQwJ4diZWTDt7GhACeIcb9/w873bMcEaoApwj3xR74
ObwAn0wvmP8mBaJPxfm9E0jIbWyWVaPG
=ylly
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 Jan 2013 07:25:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:36:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.